Bug 4043 - Installer for Compact 2.3 couldn't install smp kernel properly
: Installer for Compact 2.3 couldn't install smp kernel properly
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/installer)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
: 3459
  Show dependency tree
 
Reported: 2004-04-27 18:13 by
Modified: 2006-12-17 16:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-04-27 18:13:46
kernel-image-std-smp-2.4.22-alt17 из инсталятора ставится некорректно

Похож на http://bugzilla.altlinux.ru/show_bug.cgi?id=2964

При инсталяции без smp ядра и ручном apt-get install - работает как надо. 
Hardware: ASUS P2B-DS, 2xPII-266


Steps to Reproduce:
1.Запустить установку Alt Linux Compact 2.3 на SMP машине
2. Установить систему
Actual Results:  
После инсталяции - в каталоге /boot символические ссылки на smp и up ядро и их 
initrd образы - указывают в одно и тоже место - на ядро -std-up-.
Соотвественно из обоих пунктов загрузчика (up и smp) - грузиться одно и тоже.
------- Comment #1 From 2004-06-06 19:30:11 -------
Насколько я понимаю, это проблемы инсталятора (installkernel во время установки
пакетов в процессе работы инсталятора видим переменную DURING_INSTALL и ничего
не делает, а создание initrd и настройка ссылок выполняется уже после установки
всех пакетов).
------- Comment #2 From 2004-06-09 10:10:40 -------
Да, все верно - ошибка инсталятора.
------- Comment #3 From 2004-07-14 22:07:26 -------
Проверьте пожалуйста на новой бета-версии Master 2.4
------- Comment #4 From 2004-07-19 16:55:54 -------
Баг подтверждаю - воспроизводится 100% на ALM2.4 Beta4 (20040714).
initrd-2.4.26-std-smp-alt5.img инсталлятор не генерит при этом.
------- Comment #5 From 2004-07-23 15:45:41 -------
fixed in beta5